Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036829
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-09-11 17:592018-02-22 18:19
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisiondcb9af89d341
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036829: In Monitor Tab on Process Request Window, it should be possible to see a large Log

DescriptionIn Monitor Tab on Process Request Window, it should be possible to see a Log larger than 4000 characters as it is working now.
Steps To ReproduceThere is no process in Core as of today that can produce a Log this large.
However, this can be accomplished by some processes in Advanced Warehouse Operations depending on the configuration.

It is easier to understand it by looking into the Code.
In ProcessMonitor.java Class, the log sent when updating the Process Run data is trucated to 4000 characters:

final String executionLog = bundle.getLog().length() >= 4000 ? bundle.getLog().substring(0, 3999) : bundle.getLog();

This was fixed in a previous commit, but for the Process Runner Class, and should be fixed here as well:
https://code.openbravo.com/erp/devel/pi/rev/e81caae0b006 [^]
Proposed SolutionThere is a file attached with the proposed fix:
* Remove artificial constraint in the Code
* Remove displayLenght of Log field
* Changed field length in Log columns to the max numer allowed
TagsNo tags attached.
Attached Filesdiff file icon fix.diff [^] (3,345 bytes) 2017-09-11 17:59 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0015739 closedalostale In Oracle, I get an error when disabling Heartbeat 
related to defect 0015115 closedalostale Disabling heartbeat is not working under some circunstances in 3.0 RC2 

-  Notes
(0102299)
hgbot (developer)
2018-02-09 11:36

Repository: erp/devel/pi
Changeset: dcb9af89d341ecda193b725f0ba8f84176f57868
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Feb 09 11:32:12 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dcb9af89d341ecda193b725f0ba8f84176f57868 [^]

fixed bug 36829: can't display long process execution logs

  Even in database is defined as an arbitary lenght text, logs were truncated
  to 4K characters. This artificial restriction has been removed, so that logs
  can now be longer.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/scheduling/ProcessMonitor.java
---
(0102300)
alostale (developer)
2018-02-09 11:36

reviewed + tested
(0102741)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-11 17:59 dmiguelez New Issue
2017-09-11 17:59 dmiguelez Assigned To => platform
2017-09-11 17:59 dmiguelez File Added: fix.diff
2017-09-11 17:59 dmiguelez Modules => Core
2017-09-11 17:59 dmiguelez Triggers an Emergency Pack => No
2017-09-11 17:59 dmiguelez Assigned To platform => alostale
2018-02-09 10:58 alostale Relationship added related to 0015739
2018-02-09 10:58 alostale Relationship added related to 0015115
2018-02-09 11:35 alostale Assigned To alostale => dmiguelez
2018-02-09 11:35 alostale Review Assigned To => alostale
2018-02-09 11:36 hgbot Checkin
2018-02-09 11:36 hgbot Note Added: 0102299
2018-02-09 11:36 hgbot Status new => resolved
2018-02-09 11:36 hgbot Resolution open => fixed
2018-02-09 11:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dcb9af89d341ecda193b725f0ba8f84176f57868 [^]
2018-02-09 11:36 alostale Note Added: 0102300
2018-02-09 11:36 alostale Status resolved => closed
2018-02-09 11:36 alostale Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102741


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker